/* Krister Swenson                                                  Fall 2006

Test the inverse inversion function revAllInv().
*/

#include "../../seqtools/seqfuncs.h"
#include "../Ograph.h"

using namespace std; 


int main()
  {
  int *s1=0;
  int s1len = getInputSeq(&s1);

  Ograph gi(s1, s1len);      //Build the inverse graph for s1 (remember joel).
  Ograph gPRIME = gi.getInvGraph();
  gPRIME.printSeqStr();      //Print it.
  cerr << endl;
  gi.printSeqStr();          //Print it.
  cerr << endl << endl;
  invertSeq(s1, s1len);
  Ograph g(s1, s1len);       //Build the actual graph.

  Pair p(1,5);
  g.revAll(p);
  g.printSeqStr();            //Print the actual with the inversion.
  cerr << endl;
  gi.revAllInv(p);
  char* str = gi.getInvStr(); //Print the inverse with the inverse inversion.
  cerr << str << endl;

  free(s1);
  return(0);
  }
