/* Krister Swenson                                                  Spring 2010

Print a list of all the traces for the inverse of the given permutation, so
that they're named according to this permutation.
*/

#include <iostream>
#include <vector>
#include "../graph/med.h"
#include "../graph/Pair.h"
#include "../seqtools/seqfuncs.h"
#include "../tools/tools.h"

using namespace std; 




int main()
  {
  int *s1=0;
  cerr << "seq:";
  int s1len = getInputSeq(&s1);

  Ograph g(s1, s1len);   //Build the graph for s1.
  cout << "All Inv Traces:\n";
  g.printFromInvWordTraces(cout);

  free(s1);
  return(0);
  }
